Bug 699357 - ntfsck crahses on startup
Summary: ntfsck crahses on startup
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: ntfsprogs
Version: 15
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Tom "spot" Callaway
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-04-25 10:45 UTC by Nikolay Vladimirov
Modified: 2011-05-28 21:34 UTC (History)
1 user (show)

(edit)
Clone Of:
(edit)
Last Closed: 2011-05-01 03:30:20 UTC


Attachments (Terms of Use)

Description Nikolay Vladimirov 2011-04-25 10:45:26 UTC
Description of problem:
Running:
sudo ntfsck /dev/sda4

Where sda4 is an NTFS partition yields:
/bin/ntfsck: line 101: cd: /builddir/build/BUILD/ntfs-3g_ntfsprogs-2011.4.12/ntfsprogs: No such file or directory
gcc: error: ntfsck.o: No such file or directory
gcc: error: utils.o: No such file or directory
gcc: error: ../libntfs-3g/.libs/libntfs-3g.so: No such file or directory


Version-Release number of selected component (if applicable):
ntfsprogs-2011.4.12-1.fc15.x86_64

How reproducible:
Always

Steps to Reproduce:
1. run ntfsfsck on an NTFS partition
  
Actual results:
Strange gcc error.

Expected results:
Filesystem check

Comment 1 Tom "spot" Callaway 2011-04-25 14:29:23 UTC
Ugh. I know what I did here, I copied the wrong files. I'll fix that right away.

Comment 2 Fedora Update System 2011-04-25 16:53:00 UTC
ntfs-3g-2011.4.12-2.fc13,testdisk-6.11-9.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/ntfs-3g-2011.4.12-2.fc13,testdisk-6.11-9.fc13

Comment 3 Fedora Update System 2011-04-25 16:53:17 UTC
ntfs-3g-2011.4.12-2.fc14,testdisk-6.11-9.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/ntfs-3g-2011.4.12-2.fc14,testdisk-6.11-9.fc14

Comment 4 Fedora Update System 2011-04-25 16:53:34 UTC
ntfs-3g-2011.4.12-2.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/ntfs-3g-2011.4.12-2.el5

Comment 5 Fedora Update System 2011-04-25 16:53:52 UTC
ntfs-3g-2011.4.12-2.fc15,testdisk-6.11-9.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/ntfs-3g-2011.4.12-2.fc15,testdisk-6.11-9.fc15

Comment 6 Fedora Update System 2011-04-25 16:54:08 UTC
ntfs-3g-2011.4.12-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/ntfs-3g-2011.4.12-2.el6

Comment 7 Fedora Update System 2011-04-25 18:55:45 UTC
Package ntfs-3g-2011.4.12-2.el5:
* should fix your issue,
* was pushed to the Fedora EPEL 5 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing ntfs-3g-2011.4.12-2.el5'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/ntfs-3g-2011.4.12-2.el5
then log in and leave karma (feedback).

Comment 8 Fedora Update System 2011-05-01 03:30:05 UTC
ntfs-3g-2011.4.12-2.fc15, testdisk-6.11-9.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2011-05-07 02:52:53 UTC
ntfs-3g-2011.4.12-2.fc14, testdisk-6.11-9.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2011-05-07 13:26:11 UTC
ntfs-3g-2011.4.12-2.fc13, testdisk-6.11-9.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2011-05-09 20:01:55 UTC
ntfs-3g-2011.4.12-3.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/ntfs-3g-2011.4.12-3.fc14

Comment 12 Fedora Update System 2011-05-09 20:02:19 UTC
ntfs-3g-2011.4.12-3.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/ntfs-3g-2011.4.12-3.el5

Comment 13 Fedora Update System 2011-05-09 20:02:43 UTC
ntfs-3g-2011.4.12-3.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/ntfs-3g-2011.4.12-3.fc15

Comment 14 Fedora Update System 2011-05-09 20:03:05 UTC
ntfs-3g-2011.4.12-3.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/ntfs-3g-2011.4.12-3.el6

Comment 15 Fedora Update System 2011-05-09 20:03:30 UTC
ntfs-3g-2011.4.12-3.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/ntfs-3g-2011.4.12-3.fc13

Comment 16 Fedora Update System 2011-05-14 04:05:40 UTC
ntfs-3g-2011.4.12-3.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2011-05-19 04:46:18 UTC
ntfs-3g-2011.4.12-3.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2011-05-19 04:49:16 UTC
ntfs-3g-2011.4.12-3.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2011-05-25 16:07:05 UTC
ntfs-3g-2011.4.12-3.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 20 Fedora Update System 2011-05-28 21:34:23 UTC
ntfs-3g-2011.4.12-3.el5, libguestfs-1.2.14-4.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.